CGAL 6.1.2 - 3D Surface Mesh Generation: CGAL Namespace Reference

CGAL 6.1.2 - 3D Surface Mesh Generation

Loading...
Searching...
No Matches
Namespaces | Classes | Functions
CGAL Namespace Reference

## Namespaces
namespace | Surface_mesher

## Classes
class | Gray_level_image_3
| A 3D gray image is a tri-dimensional array that associates a scalar value to each triple of integer \( (x, y, z)\) in the range of the image. More...
class | Implicit_surface_3
| The class `Implicit_surface_3` implements a surface described as the zero level set of a function \( f : \mathbb{R}^3 \longrightarrow \mathbb{R}\). More...
class | Surface_mesh_cell_base_3
| The class `Surface_mesh_cell_base_3` is a model of the concept `SurfaceMeshCellBase_3`. More...
class | Surface_mesh_complex_2_in_triangulation_3
| The class `Surface_mesh_complex_2_in_triangulation_3` implements a data structure to store the restricted Delaunay triangulation used by the surface mesh generator. More...
class | Surface_mesh_default_criteria_3
| The class `Surface_mesh_default_criteria_3` implements the most commonly used combination of meshing criteria. More...
class | Surface_mesh_default_triangulation_3
| The class `Surface_mesh_default_triangulation_3` is a model of the concept `SurfaceMeshTriangulation_3`, whose vertex base and cell base classes are models of the concepts `SurfaceMeshVertexBase_3` and `SurfaceMeshCellBase_3` respectively. More...
struct | Surface_mesh_traits_generator_3
| The class `Surface_mesh_traits_generator_3` provides a type `type`, that is a model of the concept `SurfaceMeshTraits_3` for the surface type `Surface`. More...
class | Surface_mesh_vertex_base_3
| The class `Surface_mesh_vertex_base_3` is a model of the concept `SurfaceMeshVertexBase_3`. More...

## Functions
template<class SurfaceMeshComplex_2InTriangulation_3 >
bool | output_surface_facets_to_off (std::ostream &os, const SurfaceMeshComplex_2InTriangulation_3 &c2t3, int options=Surface_mesher::IO_ORIENT_SURFACE)
| writes a manifold or non-manifold surface reconstructed by `make_surface_mesh()` in the OFF file format.
template<class C2T3 , class TriangleMesh >
void | facets_in_complex_2_to_triangle_mesh (const C2T3 &c2t3, TriangleMesh &graph)
| converts a manifold surface reconstructed by `make_surface_mesh()` to a `TriangleMesh`.
template<class SurfaceMeshComplex_2InTriangulation_3 , class Polyhedron >
bool | output_surface_facets_to_polyhedron (const SurfaceMeshComplex_2InTriangulation_3 &c2t3, Polyhedron &output_polyhedron)
template<class SurfaceMeshC2T3 , class Surface , class FacetsCriteria , class Tag >
void | make_surface_mesh (SurfaceMeshC2T3 &c2t3, Surface surface, FacetsCriteria criteria, Tag tag, int initial_number_of_points=20)
| In the first overloaded version of of `make_surface_mesh()`, the surface type is given as template parameter (`Surface`) and the `surface` to be meshed is passed as parameter to the mesh generator.
template<class SurfaceMeshC2T3 , class SurfaceMeshTraits , class FacetsCriteria , class Tag >
void | make_surface_mesh (SurfaceMeshC2T3 &c2t3, SurfaceMeshTraits::Surface_3 surface, SurfaceMeshTraits traits, FacetsCriteria criteria, Tag tag, int initial_number_of_points=20)
| In the second overloaded version of `make_surface_mesh()`, the surface mesh generator traits type is provided by the template parameter `SurfaceMeshTraits_3` and the surface type is obtained from this traits type.

## Function Documentation

## ◆ output_surface_facets_to_polyhedron()

template<class SurfaceMeshComplex_2InTriangulation_3 , class Polyhedron >

bool CGAL::output_surface_facets_to_polyhedron | ( | const SurfaceMeshComplex_2InTriangulation_3 & | c2t3,
|  | Polyhedron & | output_polyhedron
| ) |  |

Deprecated:
  Gets reconstructed surface out of a SurfaceMeshComplex_2InTriangulation_3 object.

This variant exports the surface as a polyhedron. It requires the surface to be manifold. For this purpose, you may call make_surface_mesh() with Manifold_tag or Manifold_with_boundary_tag parameter.

Template Parameters

  SurfaceMeshComplex_2InTriangulation_3 | model of the SurfaceMeshComplex_2InTriangulation_3 concept.
  Polyhedron | an instance of CGAL::Polyhedron_3<Traits>.

Parameters

  c2t3 | the input.
  output_polyhedron | the output.

Returns
  true if the surface is manifold and orientable.